Debian Bug report logs - #674051
rtnetlink(7): Line in table too long

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>

Date: Tue, 22 May 2012 18:57:02 UTC

Severity: minor

Tags: fixed-upstream, patch

Found in version manpages/3.27-1

Fixed in version manpages/3.42-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#674051; Package manpages. (Tue, 22 May 2012 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjarni Ingi Gislason <bjarniig@rhi.hi.is>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 22 May 2012 18:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rtnetlink(7): Line in table too long
Date: Tue, 22 May 2012 18:53:46 +0000
Package: manpages
Version: 3.27-1
Severity: minor
Tags: patch

  From "man ..." ("nroff -ww ..."):

nroff: rtnetlink.7: warning: around line 415: table wider than line width

  Column gutter reduced to fit line length

  Right adjustment in text blocks removed in tables

  Some header made centered in tables

  One table put on same page

  Patch:

--- rtnetlink.7	2012-04-26 22:58:40.000000000 +0000
+++ rtnetlink.7.new	2012-05-21 22:35:12.000000000 +0000
@@ -81,9 +81,10 @@
 is the unique interface index,
 .I ifi_change
 is reserved for future use and should be always set to 0xFFFFFFFF.
+.na
 .TS
 tab(:);
-c
+c s s
 l l l.
 Routing attributes
 rta_type:value type:description
@@ -99,6 +100,7 @@
 see below
 T}:Interface Statistics.
 .TE
+.ad
 .sp
 The value type for IFLA_STATS is \fIstruct net_device_stats\fP.
 .TP
@@ -145,7 +147,7 @@
 for a permanent address set by the user and other undocumented flags.
 .TS
 tab(:);
-c
+c s s
 l l l.
 Attributes
 rta_type:value type:description
@@ -195,6 +197,7 @@
     unsigned int  rtm_flags;
 };
 .fi
+.na
 .TS
 tab(:);
 l l.
@@ -219,6 +222,8 @@
 refer to an external resolver (not implemented)
 T}
 .TE
+.ad
+.na
 .TS
 tab(:);
 l l.
@@ -232,6 +237,7 @@
 RTPROT_BOOT:during boot
 RTPROT_STATIC:by the administrator
 .TE
+.ad
 
 Values larger than
 .B RTPROT_STATIC
@@ -244,6 +250,7 @@
 
 .I rtm_scope
 is the distance to the destination:
+.na
 .TS
 tab(:);
 l l.
@@ -255,6 +262,7 @@
 RT_SCOPE_HOST:route on the local host
 RT_SCOPE_NOWHERE:destination doesn't exist
 .TE
+.ad
 
 The values between
 .B RT_SCOPE_UNIVERSE
@@ -265,6 +273,7 @@
 The
 .I rtm_flags
 have the following meanings:
+.na
 .TS
 tab(:);
 l l.
@@ -274,6 +283,7 @@
 RTM_F_CLONED:route is cloned from another route
 RTM_F_EQUALIZE:a multipath equalizer (not yet implemented)
 .TE
+.ad
 
 .I rtm_table
 specifies the routing table
@@ -290,9 +300,11 @@
 .B RT_TABLE_UNSPEC
 and
 .BR RT_TABLE_DEFAULT .
+.\" Keep table on same page
+.bp +1
 .TS
 tab(:);
-c
+c s s
 l l l.
 Attributes
 rta_type:value type:description
@@ -410,8 +422,8 @@
 .fi
 .TS
 tab(:);
-c
-l l l.
+c s s
+l2 l2 l.
 Attributes
 rta_type:value type:Description
 _

-- System Information:
Debian Release: 6.0.5
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'stable')
Architecture: i386 (i586)

Kernel: Linux 2.6.32-45
Locale: LANG=is_IS, LC_CTYPE=is_IS (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

manpages depends on no packages.

manpages recommends no packages.

Versions of packages manpages suggests:
ii  man-db [man-browser]          2.5.7-8    on-line manual pager

-- no debconf information

-- 
Bjarni I. Gislason




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#674051; Package manpages. (Thu, 07 Jun 2012 10:24:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 07 Jun 2012 10:24:36 GMT) Full text and rfc822 format available.

Message #10 received at 674051@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com>
To: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>, 674051@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#674051: rtnetlink(7): Line in table too long
Date: Thu, 7 Jun 2012 22:13:37 +1200
tags 674051 fixed-upstream
thanks

On Wed, May 23, 2012 at 6:53 AM, Bjarni Ingi Gislason
<bjarniig@rhi.hi.is> wrote:
> Package: manpages
> Version: 3.27-1
> Severity: minor
> Tags: patch
>
>  From "man ..." ("nroff -ww ..."):
>
> nroff: rtnetlink.7: warning: around line 415: table wider than line width
>
>  Column gutter reduced to fit line length
>
>  Right adjustment in text blocks removed in tables
>
>  Some header made centered in tables
>
>  One table put on same page
>
>  Patch:

Thanks Bjarni.

Applied for upstream 3.42.

Cheers,

Michael


> --- rtnetlink.7 2012-04-26 22:58:40.000000000 +0000
> +++ rtnetlink.7.new     2012-05-21 22:35:12.000000000 +0000
> @@ -81,9 +81,10 @@
>  is the unique interface index,
>  .I ifi_change
>  is reserved for future use and should be always set to 0xFFFFFFFF.
> +.na
>  .TS
>  tab(:);
> -c
> +c s s
>  l l l.
>  Routing attributes
>  rta_type:value type:description
> @@ -99,6 +100,7 @@
>  see below
>  T}:Interface Statistics.
>  .TE
> +.ad
>  .sp
>  The value type for IFLA_STATS is \fIstruct net_device_stats\fP.
>  .TP
> @@ -145,7 +147,7 @@
>  for a permanent address set by the user and other undocumented flags.
>  .TS
>  tab(:);
> -c
> +c s s
>  l l l.
>  Attributes
>  rta_type:value type:description
> @@ -195,6 +197,7 @@
>     unsigned int  rtm_flags;
>  };
>  .fi
> +.na
>  .TS
>  tab(:);
>  l l.
> @@ -219,6 +222,8 @@
>  refer to an external resolver (not implemented)
>  T}
>  .TE
> +.ad
> +.na
>  .TS
>  tab(:);
>  l l.
> @@ -232,6 +237,7 @@
>  RTPROT_BOOT:during boot
>  RTPROT_STATIC:by the administrator
>  .TE
> +.ad
>
>  Values larger than
>  .B RTPROT_STATIC
> @@ -244,6 +250,7 @@
>
>  .I rtm_scope
>  is the distance to the destination:
> +.na
>  .TS
>  tab(:);
>  l l.
> @@ -255,6 +262,7 @@
>  RT_SCOPE_HOST:route on the local host
>  RT_SCOPE_NOWHERE:destination doesn't exist
>  .TE
> +.ad
>
>  The values between
>  .B RT_SCOPE_UNIVERSE
> @@ -265,6 +273,7 @@
>  The
>  .I rtm_flags
>  have the following meanings:
> +.na
>  .TS
>  tab(:);
>  l l.
> @@ -274,6 +283,7 @@
>  RTM_F_CLONED:route is cloned from another route
>  RTM_F_EQUALIZE:a multipath equalizer (not yet implemented)
>  .TE
> +.ad
>
>  .I rtm_table
>  specifies the routing table
> @@ -290,9 +300,11 @@
>  .B RT_TABLE_UNSPEC
>  and
>  .BR RT_TABLE_DEFAULT .
> +.\" Keep table on same page
> +.bp +1
>  .TS
>  tab(:);
> -c
> +c s s
>  l l l.
>  Attributes
>  rta_type:value type:description
> @@ -410,8 +422,8 @@
>  .fi
>  .TS
>  tab(:);
> -c
> -l l l.
> +c s s
> +l2 l2 l.
>  Attributes
>  rta_type:value type:Description
>  _
>
> -- System Information:
> Debian Release: 6.0.5
>  APT prefers stable-updates
>  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'stable')
> Architecture: i386 (i586)
>
> Kernel: Linux 2.6.32-45
> Locale: LANG=is_IS, LC_CTYPE=is_IS (charmap=ISO-8859-1)
> Shell: /bin/sh linked to /bin/dash
>
> manpages depends on no packages.
>
> manpages recommends no packages.
>
> Versions of packages manpages suggests:
> ii  man-db [man-browser]          2.5.7-8    on-line manual pager
>
> -- no debconf information
>
> --
> Bjarni I. Gislason
>
>
>



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/




Added tag(s) fixed-upstream. Request was from "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 10:25:14 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Sat, 25 Aug 2012 14:57:03 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Sat, 25 Aug 2012 16:21:28 GMT) Full text and rfc822 format available.

Notification sent to Bjarni Ingi Gislason <bjarniig@rhi.hi.is>:
Bug acknowledged by developer. (Sat, 25 Aug 2012 16:21:28 GMT) Full text and rfc822 format available.

Message #19 received at 674051-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 674051-close@bugs.debian.org
Subject: Bug#674051: fixed in manpages 3.42-1
Date: Sat, 25 Aug 2012 16:17:41 +0000
Source: manpages
Source-Version: 3.42-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674051@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 23 Aug 2012 21:50:38 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.42-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 383296 526778 538641 609033 660479 671514 671515 673436 673873 673875 674051 679498
Changes: 
 manpages (3.42-1) unstable; urgency=low
 .
   [ Simon Paillard ]
   * Add myself to Uploaders
   * Imported Upstream version 3.42:
     . new manpages: get_robust_list.2 mallinfo.3 malloc_info.3 malloc_stats.3
     . remove outdated links: path_resolution.2 epoll.4 fifo.4 futex.4
       complex.5 environ.5
     . Fix repeated word in memchr.3 (Closes: #679498)
     . isgreater.3: arguments must be real-floating (Closes: #609033)
     . utf-8.7: clarifications (Closes: #538641)
     . getaddrinfo.3: note that AI_ADDRCONFIG is not affected by loopback
       addresses (Closes: #660479)
     . Fix "rtnetlink(7): Line in table too long" (Closes: #674051)
     . Fix "netlink(7): Line in table is too long" (Closes: #673875)
     . Fix "netdevice(7): Line in table too long" (Closes: #673873)
     . Fix "suffixes(7): Warnings from "grotty"" (Closes: #673436)
     . Fix "ioctl_list(2): table wider than line width" (Closes: #671515)
     . Fix groff warnings console_codes(4) (Closes: #671514)
     . netlink.7: *_pid fields are not process but port id (Closes: #383296)
   * Drop obsolete formatting patch: gettimeofday.2 wprintf.3 setnetgrent.3
   * Drop patch getgid.2, getuid.2: now documented by upstream credentials(7)
   * Drop inconsistent coding style patch: bsearch.3 qsort.3
   * iconv.3: remove Debian patch, accepted upstream and moved to NOTES
   * Remove old links added 10y ago due to debian specific man-db
   * fclose.3: drop debian patches, mark the remaining as rejected upstream
   * Remove mallinfo.3 from missing.7, added in upstream 3.41
   * Drop outdated debian/readme
   * getifaddrs.3, rtnetlink.7: stats interface is struct rtnl_link_stats, not
     net_device_stats (Closes: #526778) - thanks to Julien Cristau
Checksums-Sha1: 
 adc626704fe11d2d1ee87264e6ffd82b01424448 1904 manpages_3.42-1.dsc
 ca33acaa9708ea04d659ada3e49a2b808ade03dc 1748638 manpages_3.42.orig.tar.gz
 78f668751bc17c5ec2d6eb9f9f4e0c45581bcc1c 46466 manpages_3.42-1.diff.gz
 35199833a71faeb1d1d02210309ac61c8ec52adc 784438 manpages_3.42-1_all.deb
 29def2ec668e3b6d4f746e56793501e3171c3c99 1728792 manpages-dev_3.42-1_all.deb
Checksums-Sha256: 
 ba83353d9cabacd1978261d4763b7665f428b4f02f1bb16e27e6994126831b5f 1904 manpages_3.42-1.dsc
 e366548e907776780d8558d9ab2918d49c28b7f9f926a4bdbe8559cc27165a1d 1748638 manpages_3.42.orig.tar.gz
 d5d96fc20ef2192af599b57a174e510b9868a0ff718662034dfceb4907835e68 46466 manpages_3.42-1.diff.gz
 dbd074db50d0086168e0c1df6a0d2bbf0ff396bdf6ebc20d41ee814f4ab1c3e3 784438 manpages_3.42-1_all.deb
 b0b0bef7ac02ef1bb314856db094c85a33a53f40e3601c1080ec21738d865443 1728792 manpages-dev_3.42-1_all.deb
Files: 
 87240352356f2dc73d8834a9c16365e6 1904 doc important manpages_3.42-1.dsc
 cc8f73ecd8a123ceb7a8670daa91ee6c 1748638 doc important manpages_3.42.orig.tar.gz
 94b82badf5d39c826aa728c7e57f3d9f 46466 doc important manpages_3.42-1.diff.gz
 c96c0a4dfcfef21a1dbae4f982fe0816 784438 doc important manpages_3.42-1_all.deb
 b1ff58b81d31410b5593ee97d4617f67 1728792 doc optional manpages-dev_3.42-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQOPbyAAoJEN/3OMLRbPuie3gP/RGCk7GsGOIW2jQagjv48WfY
nCb5winm4kaYS4SLf501J9BiIpghDMOntXwL4X7Er8NtV7adbcwr4VawW+BSTDnh
aEiQM9AFkpK2FIKBP2YWwVhqsl4VIEg/fezziRt4dK5b8MPNJLPk74mQ+1MJUG0L
Zb+oMtnwqBFKjb2xU1glNaQ01YUYsLnhZY8n1D+rDVfRRqfFzIiDvVJYdSKU1iwT
T61AYkNfjjIYG91jxjUi7Xi2cQudKqvOMUL0Cz/349A+9b8tMmLPvhjf8coRBOVS
3x7J3skD+npiT5DT9MUswKhwmy8Ml5JSr8JgdJu/zQRcnvWGP3FS6dDHkMRXGgtK
+kHp7yMfiMsmMqQqIjjYzhPRW/xQZslBjNlsCMSbI4VuMArn+hezqb4rfzfHe8yv
kOmeaH8svVEJ2eRbV+YbBglXXsQOeBKLAFWqrdLvVXXmCTuPFprPxsP/OGvQ+i2m
KWRsKzReMQ7nV31xCga9NxENou6v1EnF+sEVi1eBWYWH7lJWwcoYnAnHYHc6UsyA
2hcTw4nwxZCkMTXG/PewYd4OISJ3ChlkCC3yZ7U1dpFQisvgnhjNiROxBfKf2T4x
f1dfpNIfWf0i/ynn9I5QRSbN+ZNhyx0Txc4jiftJt/Dv7kqtU7hYuRje56pdoiC9
EV+YSyJky+x4+NLXJfhB
=ljey
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Oct 2012 07:27:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:03:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.